# -*- coding: utf-8 -*-
"""
    demeter database
    name:device_mul.py
    author:rabin
"""
from .__load__ import *

class Device_mul(Model):
	__table__ = 'device_mul'
	__comment__ = '设备批量控制'
	id = Fields(type='uuid', primaryKey=True, comment='分组ID', uuid='farm_id')
	farm_id = Fields(type='int', default='setting.farm', comment='园区ID', match='not')
	name = Fields(type='varchar(50)', comment='分组名')
	devices = Fields(type='text', comment='设备id，逗号隔开')
	oper = Fields(type='varchar(500)', comment='操作状态')
	value = Fields(type='varchar(10)', comment='开关状态')
	old = Fields(type='varchar(10)', comment='上次开关状态')
	device_type = Fields(type='int', comment='设备类型,1为开关2为卷帘')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')